using System.ServiceModel;
using System.Threading.Tasks;

namespace Zombie.Services.Definitions
{
    [ServiceContract(Namespace="https://zsr.codeplex.com/services/")]
    public interface ISecurity
    {
        [OperationContract]
        Task<Session> Login(string username, string password);

        [OperationContract(IsOneWay = true)]
        Task Logout(SessionToken sessionToken);
    }
}
